OGRE-Next: Ogre::SceneManagerFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::SceneManagerFactory Class Referenceabstract
Core | Component » Scene

Class which will create instances of a given SceneManager. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManagerFactory:
[legend]

## Public Member Functions
| SceneManagerFactory ()
virtual | ~SceneManagerFactory ()
virtual SceneManager * | createInstance (const String &instanceName, size_t numWorkerThreads)=0
| Create a new instance of a SceneManager.
virtual void | destroyInstance (SceneManager *instance)=0
| Destroy an instance of a SceneManager.
virtual const SceneManagerMetaData & | getMetaData () const
| Get information about the SceneManager type created by this factory.

## Detailed Description

Class which will create instances of a given SceneManager.

## Constructor & Destructor Documentation

## ◆ SceneManagerFactory()

Ogre::SceneManagerFactory::SceneManagerFactory | ( |  | ) |
| inline

## ◆ ~SceneManagerFactory()

virtual Ogre::SceneManagerFactory::~SceneManagerFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ createInstance()

virtual SceneManager * Ogre::SceneManagerFactory::createInstance | ( | const String & | instanceName,
|  | size_t | numWorkerThreads )
| pure virtual

Create a new instance of a SceneManager.

Remarks
  Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implemented in Ogre::DefaultSceneManagerFactory.

## ◆ destroyInstance()

virtual void Ogre::SceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) |
| pure virtual

Destroy an instance of a SceneManager.

Implemented in Ogre::DefaultSceneManagerFactory.

## ◆ getMetaData()

virtual const SceneManagerMetaData & Ogre::SceneManagerFactory::getMetaData | ( |  | ) | const
| inlinevirtual

Get information about the SceneManager type created by this factory.

The documentation for this class was generated from the following file:

- OgreSceneManager.h